Package org.eclipse.emf.cdo.common.lob

# Class CDOClobWriter

java.lang.Object
java.io.Writer
org.eclipse.emf.cdo.common.lob.CDOClobWriter

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

public class CDOClobWriter extends Writer
A `Writer` that produces a `CDOClob`.

Since:
  4.3
Author:
  Christian W. Damus (CEA LIST)

## Field Summary

### Fields inherited from class java.io.Writer

`lock`

## Constructor Summary

Constructors
Constructor
Description
`CDOClobWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`CDOClob`
`getClob()`
`void`
`write(char[] cbuf, int off, int len)`

### Methods inherited from class java.io.Writer

`append, append, append, nullWriter, write, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOClobWriter

public CDOClobWriter()

## Method Details

### write

public void write(char[] cbuf, int off, int len) throws IOException

Specified by:
  `write` in class `Writer`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in class `Writer`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in class `Writer`
Throws:
  `IOException`

### getClob

public CDOClob getClob()